Include /etc/proftpd/modules.conf

UseIPv6 on
<IfModule mod_ident.c>
    IdentLookups off
</IfModule>

ServerName "home.paperless"
ServerType standalone
DeferWelcome off

DefaultServer on

DisplayLogin welcome.msg
DisplayChdir .message true

DenyFilter \*.*/

RequireValidShell off

Port 21

PassivePorts 49152 50192

MaxInstances 30

User proftpd
Group nogroup

Umask 022 022

TransferLog /var/log/proftpd/xferlog
SystemLog /var/log/proftpd/proftpd.log

<IfModule mod_quotatab.c>
    QuotaEngine off
</IfModule>

<IfModule mod_ratio.c>
    Ratios off
</IfModule>

<IfModule mod_delay.c>
    DelayEngine on
</IfModule>

<IfModule mod_ctrls.c>
    ControlsEngine off
    ControlsMaxClients 2
    ControlsLog /var/log/proftpd/controls.log
    ControlsInterval 5
    ControlsSocket /var/run/proftpd/proftpd.sock
</IfModule>

<IfModule mod_ctrls_admin.c>
    AdminControlsEngine off
</IfModule>

<Anonymous /mnt/paperless/consume/>
    User nobody
    Group nogroup
    UserAlias anonymous ftp

    <Directory *>
        AllowAll
    </Directory>
</Anonymous>
